折雨的天空

新浪微薄腾讯微薄

最新碎语:最近霉到了住。哎。。。

您的位置:折雨的天空 >其他技术> 解决Linux下包冲突的问题,比如: libstdc++-4.8.5-44.el7.i686 conflicts with file from package

解决Linux下包冲突的问题,比如: libstdc++-4.8.5-44.el7.i686 conflicts with file from package

我的是冲突是由包: libstdc++-4.8.5-44.el7.i686 conflicts with file from package引起的,一个是i686,一个是64,两个版本不一致。

yum remove给我删掉好多程序,最后靠谱的方法是:


#查看对应包,是否存在,

rpm -q libstdc++-4.8.5-44.el7.i686


#卸载冲突的包,上面的命令要能展示出东西,才能卸载

rpm -e --nodeps libstdc++-4.8.5-44.el7.i686

这样可以解决,yum remove会移除很多依赖软件的问题。

------------正 文 已 结 束, 感 谢 您 的 阅 读 (折雨的天空)--------------------

转载请注明本文标题和链接:《解决Linux下包冲突的问题,比如: libstdc++-4.8.5-44.el7.i686 conflicts with file from package

奖励一下

取消

分享不易,烦请有多多打赏,如您也困难,点击右边关闭即可!

扫码支持
扫码打赏,5元,10元,你说多少就多少

打开支付宝扫一扫,即可进行扫码打赏哦

-秒后自动关闭,如已打赏,或者不愿打赏,请点击右上角关闭图标。

发表评论

路人甲 表情
看不清楚?点图切换